Bug 695233 - (alien) Review Request: alien - Converter between the rpm, dpkg, stampede slp, and Slackware tgz file formats
Review Request: alien - Converter between the rpm, dpkg, stampede slp, and Sl...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Sergio Monteiro Basto
Fedora Extras Quality Assurance
:
: 456756 726908 (view as bug list)
Depends On: 961141
Blocks: RussianFedoraRemix
  Show dependency treegraph
 
Reported: 2011-04-11 02:18 EDT by Dmitrij S. Kryzhevich
Modified: 2013-06-19 00:39 EDT (History)
12 users (show)

See Also:
Fixed In Version: alien-8.88-2.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-17 00:29:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
sergio: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Dmitrij S. Kryzhevich 2011-04-11 02:18:35 EDT
Spec URL: http://krege.fedorapeople.org/alien/alien.spec
SRPM URL: http://krege.fedorapeople.org/alien/alien-8.83-1.fc14.src.rpm
Description: 
Alien is a program that converts between the rpm, dpkg, stampede 
slp, and Slackware tgz file formats. If you want to use a package 
from another distribution than the one you have installed on your 
system, you can use alien to convert it to your preferred package 
format and install it.
Comment 1 Dmitrij S. Kryzhevich 2011-04-11 02:19:12 EDT
*** Bug 456756 has been marked as a duplicate of this bug. ***
Comment 2 Bill Nottingham 2011-08-01 15:33:56 EDT
*** Bug 726908 has been marked as a duplicate of this bug. ***
Comment 3 Sergio Monteiro Basto 2011-12-08 11:24:39 EST
I want have this package too.

Thanks,
Comment 4 Dmitrij S. Kryzhevich 2011-12-08 21:48:53 EST
But nobody wants to review it.
Comment 5 Julian Sikorski 2012-01-29 05:23:29 EST
Are you still willing to package this piece of software?
Comment 6 Dmitrij S. Kryzhevich 2012-01-29 23:32:15 EST
Yes. But see dependency chain, all assigned but all stopped.

May be I should reopen them.
Comment 7 Miroslav Vadkerti 2012-04-29 15:56:27 EDT
I would love to see this package included too.
Comment 11 Dmitrij S. Kryzhevich 2012-04-30 07:46:34 EDT
Ok, some moves on https://bugzilla.redhat.com/show_bug.cgi?id=591332, waiting for waves got here.
Comment 12 Yajo 2013-01-27 10:10:03 EST
Any progress on this?
Comment 13 Petr Pisar 2013-01-28 05:29:10 EST
(In reply to comment #12)
> Any progress on this?

You should ask on blocking reviews.
Comment 14 Sergio Monteiro Basto 2013-04-23 00:51:39 EDT
Hi, I can review or maintain this package , I don't want sponsor anyone that I don't know , so anyone has power to commit what maintain it ? or anyone review this for me ?
Comment 15 Dmitrij S. Kryzhevich 2013-04-23 01:05:12 EDT
Look into "Depends on" section.
I do not need to be sonsored as I'm already packager.
Comment 16 Sergio Monteiro Basto 2013-04-25 20:35:34 EDT
Spec URL: http://www.serjux.com/alien/alien.spec
SRPM URL: http://www.serjux.com/alien/alien-8.88-1.fc18.src.rpm

update to 8.88 and hardcoded 
/usr/lib64/perl5/vendor_perl/auto/Alien/.packlist into %file section to build the packaged
Comment 17 Sergio Monteiro Basto 2013-04-25 20:56:28 EDT
fedora-review -b 695233 --mock-config fedora-rawhide-x86_64
and almost none error or problems just 

1) mock --install fails with 
Error: Package: alien-8.88-1.fc20.noarch (/alien-8.88-1.fc20.noarch)
           Requires: debhelper

2) Perl:
[ ]: Package contains the mandatory BuildRequires and Requires:.
     Note: Requires: perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo
     $version)) missing?

3) and things just hardcoded by me  
alien.noarch: W: incoherent-version-in-changelog 8.83-1 ['8.88-1.fc20', '8.88-1']
alien.noarch: W: hidden-file-or-dir /usr/lib64/perl5/vendor_perl/auto/Alien/.packlist
alien.noarch: W: perl-temp-file /usr/lib64/perl5/vendor_perl/auto/Alien/.packlist

I can approve it ... , I'm going to see what happens to debhelper , I could be the new maintainer of debhelper, let me know what is need .

Thanks,
Comment 18 Christopher Meng 2013-05-14 06:21:40 EDT
I think I can post one.

BTW I think yours is not good, as %clean section is still appeared.

Will you build it for EPEL?

Spec URL: http://cicku.me/alien.spec
SRPM URL: http://cicku.me/alien-8.88-1.fc20.src.rpm
Comment 19 Dmitrij S. Kryzhevich 2013-05-15 01:32:40 EDT
1) I will update the package as soon as all blockers (one left) will be resolved.
2) Dependency tree is not fully in the EPEL. So alien can't be in EPEL.
Comment 20 Dmitrij S. Kryzhevich 2013-05-21 22:43:50 EDT
Spec URL: http://krege.fedorapeople.org/alien/alien.spec
SRPM URL: http://krege.fedorapeople.org/alien/alien-8.88-1.fc20.src.rpm

Changelog:
* Tue May 21 2013 Dmitrij S. Kryzhevich <krege@land.ru> - 8.88-1
- Update to 8.88.

Scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=5407883
Comment 21 Christopher Meng 2013-05-21 22:52:48 EDT
(In reply to Dmitrij S. Kryzhevich from comment #20)

No need for:

%defattr(-,root,root,-)
Comment 22 Dmitrij S. Kryzhevich 2013-05-22 00:02:29 EDT
Spec URL: http://krege.fedorapeople.org/alien/alien.spec
SRPM URL: http://krege.fedorapeople.org/alien/alien-8.88-2.fc20.src.rpm

Changelog:
* Wed May 22 2013 Dmitrij S. Kryzhevich <krege@land.ru> - 8.88-2
- No need for "defattr" in files section.

Scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=5408075
Comment 23 Sergio Monteiro Basto 2013-05-22 00:56:23 EDT
Rpmlint (installed packages)
----------------------------
# rpmlint alien
alien.noarch: W: spelling-error Summary(en_US) slp -> alp, slip, slap
alien.noarch: W: spelling-error Summary(en_US) tgz -> TGIF
alien.noarch: W: spelling-error %description -l en_US slp -> alp, slip, slap
alien.noarch: W: spelling-error %description -l en_US tgz -> TGIF
alien.noarch: E: incorrect-fsf-address /usr/share/doc/alien-8.88/GPL
1 packages and 0 specfiles checked; 1 errors, 4 warnings.
# echo 'rpmlint-done:'

No blockers 

Package APPROVED
Comment 24 Dmitrij S. Kryzhevich 2013-05-22 03:19:03 EDT
New Package SCM Request
=======================
Package Name: alien
Short Description: Converter between the rpm, dpkg, stampede slp, and Slackware tgz file formats
Owners: krege
Branches: f18 f19
InitialCC:
Comment 25 Jon Ciesla 2013-05-22 10:57:46 EDT
Git done (by process-git-requests).
Comment 26 Dmitrij S. Kryzhevich 2013-05-23 07:08:43 EDT
alien-8.88-2.fc20 is built. Waiting debhelper to be built for F18 and F19 wich is waiting dpkg-1.16 to be built for F18 and F19. *sigh*
Comment 27 Sergio Monteiro Basto 2013-05-25 11:31:43 EDT
You can test dpkg and give it karma if it's OK

https://admin.fedoraproject.org/updates/FEDORA-2013-9094/dpkg-1.16.10-3.fc19 

if we get more 2 positive karmas, will speed up the process.
Comment 28 Sergio Monteiro Basto 2013-06-01 13:23:25 EDT
(In reply to Dmitrij S. Kryzhevich from comment #26)
> alien-8.88-2.fc20 is built. Waiting debhelper to be built for F18 and F19
> wich is waiting dpkg-1.16 to be built for F18 and F19. *sigh*
alien-8.88-
debhelper built and in stable updates on F19 . please build alien-8.88 for F19
Comment 29 Fedora Update System 2013-06-02 23:21:30 EDT
alien-8.88-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/alien-8.88-2.fc19
Comment 30 Fedora Update System 2013-06-03 10:43:07 EDT
alien-8.88-2.fc19 has been pushed to the Fedora 19 testing repository.
Comment 31 Fedora Update System 2013-06-17 00:29:33 EDT
alien-8.88-2.fc19 has been pushed to the Fedora 19 stable repository.
Comment 32 Sergio Monteiro Basto 2013-06-18 16:42:09 EDT
(In reply to Dmitrij S. Kryzhevich from comment #26)
> alien-8.88-2.fc20 is built. Waiting debhelper to be built for F18 and F19
> wich is waiting dpkg-1.16 to be built for F18 and F19. *sigh*


debhelper-9.20120909-1.fc18 has been pushed to the Fedora 18 stable repository.

now you can build alien-8.88-2.fc18

Thanks,
Comment 33 Dmitrij S. Kryzhevich 2013-06-19 00:39:54 EDT
Done.
https://admin.fedoraproject.org/updates/alien-8.88-2.fc18

Note You need to log in before you can comment on or make changes to this bug.